<!--
/**
 * @name            README
 * @namespace       doc
 * @type            Markdown
 * @platform        md
 * @status          stable
 * @menu            Documentation           /doc/readme
 *
 * @since           2.0.0
 * @author    Olivier Bossel <olivier.bossel@gmail.com> (https://coffeekraken.io)
 */
-->

{{#> layout-readme }}

## SEnv

This package expose a simple `SEnv` class that let you access environment variables with ease on `node` and `js` (browser).

## Features

-   Access the `ENV` variable that describe if you are in `development`, `production`, `test`, etc...
    -   On `node` it will reflect the `process.env.NODE_ENV` variable
    -   In `browser` it will take the `document.env.ENV` variable
-   Check if the current env is `...` with the `SEnv.is('production')` static method
-   And more...

## Usage

Here's a simple example how to use the SEnv class:

```js
import __SEnv from '@coffeekraken/s-env';
__SEnv.is('production'); // false
```

## API

For more information about the API, please check out [the API documentation](/api/@coffeekraken.s-env.shared.SEnv)

{{/ layout-readme }}
